Page MenuHomePhabricator

Evaluate designs for new notification panel actions
Closed, ResolvedPublic

Description

1/12/16: Research report published on meta.wikimedia.org

Several ideas have been proposed to improve the notification panel (T113228). In an initial research round (T114086), cross-wiki notifications were the main focus of the research (although initial feedback was also collected for other proposals). This ticket represents the next step in that research.

This is just an initial draft, @Capt_Swing and anyone else interested on the research may want to review it.

A prototype is available to simulate the features we want to evaluate (note that only specific interaction paths work, as described in the "test plan" section).

Goal

Understand how effective the following aspects are:

  • Secondary actions. Actions providing access to related information can facilitate user navigation and simplify the notification messages. For example, showing the user name of the author of a topic as a secondary action allows users to access the user talk page, and allows for the notification to avoid including it just for that purpose.
  • Volume control. Being able to mute (or subscribe to related events) right from a related event may help users to easily get the notifications that are most relevant to them.
  • Bundling. Expanding the current bundles can be useful when individual items require special treatment.
  • Mark as unread. For notifications the user marked as read but still need some associated work, being able to mark them back as unread may be useful.
  • Next steps: notification page and settings. Some changes beyond the panel have been also included to get some initial thoughts on some early ideas for the notification page or the notification settings.

Audience

We may want to focus on active editors since the proposed changes are expected to cover their needs. In addition, we may want to add some new users (to make sure the solutions are still simple for newcomers who have not been exposed to the current system) as well as more advanced editors (to evaluate how much of the advanced needs can be covered between the notification panel and the notification page).

Test plan

Before the test. About the use of the notification panel.

  • How often do you get notifications? What are they about?
  • Do you check these notifications as you get them or do they accumulate unread? Why?
  • Do you often get irrelevant notifications? Have you considered disabling those?
  • When you get a notification, which information are you interested about and what do you normally do with it?
  • Can you show us some of your notifications so that we can check the recent ones? Can you tell us which is the interesting information on each one and which was the next steps you did about each?
  • Is there any notification that combines several messages? Did you miss any detail of the individual ones when presented in this way?
  • Do some of the notifications require follow-up actions you need to take later? If you already read several how do you keep track of those with pending actions from your side?

During the test

Prototype overview:

  • This prototype simulates you are an editor from English Wikipedia named Cronopio. Many aspects are not supported int he prototype yet, if you get lost you can always refresh the page and start again.
  • Which notifications can you see there? What are they about?
    • If you were this editor, which notification would you process first?
  • We'll go through the different notifications in the list...

Secondary actions:

  • What is the first notification (the one on top) about?
  • Who created the topic?
  • This is a topic you have not participated but looks interesting to you. Is there a way to get notified of the upcoming discussion updates? (the user is expected to use the "watch new activity" action)
  • What is the second notification about?
  • Who reviewed the page?
  • How would you show appreciation to that user for their work? (the user is expected to use the "thank Ludmilla" action)
  • What would you do to gave the reviewer a more detailed thank you note (the user is expected to explore more options in the "..." menu or use the user link to access their talk page).

Volume control:

  • The next notifications are about Easter Island, a topic you were interested in the past before you focused your editing activity in space exploration. You got yet another topic notification about Moais, is there a way to avoid getting distracted every time a new topic is started about this? (the user is expected to access the "mute new topics on this page" inside the "...", volume options or general settings represent also valid paths).

Bundling:

  • What is the other notification about Moais about? Can you check what are the responses about at a glance? (the user is expected to either expand or just open the notification)
    • (if the user didn't expand) Is there a way to quickly check what are the individual responses about without leaving the notification panel?

Mark as unread:

  • The last two notifications are about an interaction with Cesio. Can you tell what happened?
  • Imagine you have read already all the notifications. Can you mark all notifications as read? (the user is expected to use the "mark all as read" in the notification panel).
  • In case you want to further discuss the reverted edit later, is there a way to keep the notification as an action item to be used as a reminder? (the user is expected to use the "mark as unread" from the "..." menu)

Notifications page:

  • We've seen that Cesio complained about the lack of references in your edits, but you don't recall experiencing many reverted edits by Cesio. Is there a way you can find all past notifications where Cesio reverted one of your edits? (the user is expected to access the notifications page and set the appropriate filters about the user and the notification type).

After the test.

  • Which is your general impression of the notification system you have been using?
    • Anything that worked particularly well or not, based on the way you consume notifications?
  • Do you think you could save time when processing your notifications with this system? Why?
    • Would you be able to reduce irrelevant notifications?
  • Do you think you could track better the work you need to do based on the notifications? Why?
    • Would you be able to access relevant info and actions for notifications?

Event Timeline

Pginer-WMF raised the priority of this task from to Normal.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: Design-Research.
Pginer-WMF set Security to None.
Capt_Swing moved this task from Backlog to Paused on the Design-Research board.
Capt_Swing updated the task description. (Show Details)Dec 1 2015, 6:04 PM
Capt_Swing moved this task from Paused to In Progress on the Design-Research board.Dec 1 2015, 6:07 PM
Pginer-WMF updated the task description. (Show Details)Dec 2 2015, 1:58 PM
Pginer-WMF updated the task description. (Show Details)
Capt_Swing closed this task as Resolved.Mar 4 2016, 6:19 PM
Capt_Swing reopened this task as Open.
Capt_Swing closed this task as Resolved.Apr 1 2016, 5:52 PM